"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/********************************************************************************
 * Copyright (c) 2019-2020 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
var core_1 = require("@theia/core");
var browser_2 = require("@theia/core/lib/browser");
var inversify_1 = require("inversify");
var sprotty_theia_1 = require("sprotty-theia");
var workflow_diagram_configuration_1 = require("./diagram/workflow-diagram-configuration");
var workflow_diagram_manager_1 = require("./diagram/workflow-diagram-manager");
var workflow_diagram_readonly_view_1 = require("./diagram/workflow-diagram-readonly-view");
var workflow_glsp_diagram_client_1 = require("./diagram/workflow-glsp-diagram-client");
var workflow_keybinding_contribution_1 = require("./diagram/workflow-keybinding-contribution");
var workflow_navigation_context_menu_1 = require("./diagram/workflow-navigation-context-menu");
var workflow_task_editing_context_menu_1 = require("./diagram/workflow-task-editing-context-menu");
var external_navigation_example_1 = require("./external-navigation-example/external-navigation-example");
var workflow_glsp_client_contribution_1 = require("./language/workflow-glsp-client-contribution");
exports.default = new inversify_1.ContainerModule(function (bind) {
    bind(workflow_glsp_client_contribution_1.WorkflowGLSPClientContribution).toSelf().inSingletonScope();
    bind(browser_1.GLSPClientContribution).toService(workflow_glsp_client_contribution_1.WorkflowGLSPClientContribution);
    bind(sprotty_theia_1.DiagramConfiguration).to(workflow_diagram_configuration_1.WorkflowDiagramConfiguration).inSingletonScope();
    bind(workflow_glsp_diagram_client_1.WorkflowGLSPDiagramClient).toSelf().inSingletonScope();
    browser_1.registerDiagramManager(bind, workflow_diagram_manager_1.WorkflowDiagramManager);
    // Optional default commands and menus
    browser_1.registerDiagramLayoutCommands(bind);
    browser_1.registerCopyPasteContextMenu(bind);
    browser_1.registerMarkerNavigationCommands(bind);
    // Custom workflow commands and menus
    bind(core_1.CommandContribution).to(workflow_task_editing_context_menu_1.WorkflowTaskEditCommandContribution).inSingletonScope();
    bind(core_1.MenuContribution).to(workflow_task_editing_context_menu_1.WorkflowTaskEditMenuContribution).inSingletonScope();
    bind(core_1.CommandContribution).to(workflow_navigation_context_menu_1.WorkflowNavigationCommandContribution).inSingletonScope();
    bind(core_1.MenuContribution).to(workflow_navigation_context_menu_1.WorkflowNavigationMenuContribution).inSingletonScope();
    bind(browser_2.KeybindingContext).to(workflow_keybinding_contribution_1.WorkflowDiagramKeybindingContext).inSingletonScope();
    bind(browser_2.KeybindingContribution).to(workflow_keybinding_contribution_1.WorkflowKeybindingContribution).inSingletonScope();
    // Example for a command that navigates to an element in a diagram with a query resolved by the server
    bind(core_1.CommandContribution).to(external_navigation_example_1.ExampleNavigationCommandContribution).inSingletonScope();
    // Readonly workflow diagram view
    bind(workflow_diagram_readonly_view_1.WorkflowDiagramReadonlyViewContribution).toSelf().inSingletonScope();
    bind(core_1.MenuContribution).toService(workflow_diagram_readonly_view_1.WorkflowDiagramReadonlyViewContribution);
    bind(core_1.CommandContribution).toService(workflow_diagram_readonly_view_1.WorkflowDiagramReadonlyViewContribution);
});
//# sourceMappingURL=workflow-frontend-module.js.map