"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowGLServerContribution = exports.JAR_FILE = exports.SERVER_DIR = exports.PORT_ARG_KEY = exports.DEFAULT_PORT = void 0;
/********************************************************************************
 * Copyright (c) 2019-2020 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var protocol_1 = require("@eclipse-glsp/protocol");
var node_1 = require("@eclipse-glsp/theia-integration/lib/node");
var inversify_1 = require("inversify");
var path_1 = require("path");
var workflow_language_1 = require("../common/workflow-language");
exports.DEFAULT_PORT = 5007;
exports.PORT_ARG_KEY = 'WF_GLSP';
exports.SERVER_DIR = path_1.join(__dirname, '..', '..', 'server');
exports.JAR_FILE = path_1.resolve(path_1.join(exports.SERVER_DIR, 'org.eclipse.glsp.example.workflow-0.9.0-SNAPSHOT-glsp.jar'));
var WorkflowGLServerContribution = /** @class */ (function (_super) {
    __extends(WorkflowGLServerContribution, _super);
    function WorkflowGLServerContribution() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.id = workflow_language_1.WorkflowLanguage.Id;
        _this.name = workflow_language_1.WorkflowLanguage.Name;
        return _this;
    }
    WorkflowGLServerContribution.prototype.createLaunchOptions = function () {
        return {
            jarPath: exports.JAR_FILE,
            additionalArgs: ['--consoleLog', 'false',
                '--fileLog', 'true',
                '--logDir', exports.SERVER_DIR],
            serverPort: protocol_1.getPort(exports.PORT_ARG_KEY, exports.DEFAULT_PORT)
        };
    };
    WorkflowGLServerContribution = __decorate([
        inversify_1.injectable()
    ], WorkflowGLServerContribution);
    return WorkflowGLServerContribution;
}(node_1.JavaSocketServerContribution));
exports.WorkflowGLServerContribution = WorkflowGLServerContribution;
//# sourceMappingURL=workflow-glsp-server-contribution.js.map